bigip_profile_oneconnect – Manage OneConnect profiles on a BIG-IP — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_profile_oneconnect – Manage OneConnect profiles on a BIG-IP

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage OneConnect profiles on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | Description of the profile.
idle_timeout_override string |  | Specifies the number of seconds that a connection is idle before the connection flow is eligible for deletion. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile. You may specify a number of seconds for the timeout override. When `disabled`, specifies that there is no timeout override for the connection. When `indefinite`, Specifies that a connection may be idle with no timeout override.
limit_type string | Choices: none idle strict | When `none`, simultaneous in-flight requests and responses over TCP connections to a pool member are counted toward the limit. This is the historical behavior. When `idle`, idle connections will be dropped as the TCP connection limit is reached. For short intervals, during the overlap of the idle connection being dropped and the new connection being established, the TCP connection limit may be exceeded. When `strict`, the TCP connection limit is honored with no exceptions. This means that idle connections will prevent new TCP connections from being made until they expire, even if they could otherwise be reused. `strict` is not a recommended configuration except in very special cases with short expiration timeouts. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile.
maximum_age integer |  | Specifies the maximum number of seconds allowed for a connection in the connection reuse pool. For any connection with an age higher than this value, the system removes that connection from the re-use pool. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile.
maximum_reuse integer |  | Specifies the maximum number of times that a server-side connection can be reused. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile.
maximum_size integer |  | Specifies the maximum number of connections that the system holds in the connection reuse pool. If the pool is already full, then a server-side connection closes after the response is completed. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile.
name string / required |  | Specifies the name of the OneConnect profile.
parent string |  | Specifies the profile from which this profile inherits settings. When creating a new profile, if this parameter is not specified, the default is the system-supplied `oneconnect` profile.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
share_pools boolean | Choices: no yes | Indicates that connections may be shared not only within a virtual server, but also among similar virtual servers When `yes`, all virtual servers that use the same OneConnect and other internal network profiles can share connections. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile.
source_mask string |  | Specifies a value that the system applies to the source address to determine its eligibility for reuse. When creating a new profile, if this parameter is not specified, the default is provided by the parent profile. The system applies the value of this setting to the server-side source address to determine its eligibility for reuse. A mask of `0` causes the system to share reused connections across all source addresses. A host mask of `32` causes the system to share only those reused connections originating from the same source address. When you are using a SNAT or SNAT pool, the server-side source address is translated first and then the OneConnect mask is applied to the translated address.
state string | Choices: present ← absent | When `present`, ensures that the profile exists. When `absent`, ensures the profile is removed.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a OneConnect profile
      bigip_profile_oneconnect:
        name: foo
        state: present
        provider:
          user: admin
          password: secret
          server: lb.mydomain.com
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
description string | changed | Description of the profile. Sample: My profile
idle_timeout_override string | changed | The new idle timeout override. Sample: disabled
limit_type string | changed | New limit type of the profile. Sample: idle
maximum_age integer | changed | Maximum number of seconds allowed for a connection in the connection reuse pool. Sample: 2000
maximum_reuse integer | changed | Maximum number of times that a server-side connection can be reused. Sample: 1000
maximum_size integer | changed | Maximum number of connections that the system holds in the connection reuse pool. Sample: 3000
share_pools boolean | changed | Share connections among similar virtual servers. Sample: True
source_mask string | changed | Value that the system applies to the source address to determine its eligibility for reuse. Sample: 255.255.255.255

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.